Bug 9672 - Upgrade from 4.0.0 to 4.0.3 creates unfixable errors with samba-tool dbcheck
Upgrade from 4.0.0 to 4.0.3 creates unfixable errors with samba-tool dbcheck
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.0.3
All Linux
: P5 normal
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-22 15:26 UTC by Chris Lewis
Modified: 2013-09-12 06:46 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Lewis 2013-02-22 15:26:32 UTC
Today I tried to upgrade from samba 4.0.0 to 4.0.3 on my test environment.

I patched the source with the diffs patch-4.0.0-4.0.1.diffs, patch-4.0.1-4.0.2.diffs, patch-4.0.2-4.0.3.diffs , then make, make install.

# samba-tool dbcheck
Checking 807 objects

Not fixing nTSecurityDescriptor on CN=Performance Monitor Users,CN=Builtin,DC=inview,DC=local              <--- all errors were same for each object


Checked 807 objects (805 errors)

Tried

# samba-tool dbcheck --fix

 (fix all.)

Checked 807 objects (763 errors)

now

# samba-tool dbcheck

Not fixing nTSecurityDescriptor on CN=Performance Monitor Users,CN=Builtin,DC=inview,DC=local              <--- all errors were same for each object

Checked 807 objects (650 errors)

Fixing again has no further effect on the number of errors.

It should be noted that before the upgrade dbcheck found no errors
Comment 1 Chris Lewis 2013-02-25 11:32:32 UTC
Today I compiled 4.0.1, 4.0.2 and finally 4.0.3 each from a fresh source to identify which version was the problematic one.

The problem occurs only in 4.0.3.

Regards
Comment 2 Daniel Hedblom 2013-03-07 09:54:15 UTC
Have the same error on my two 4.0.3 installs. An older rc 17 install do now show the error on the same AD.
Comment 3 Daniel Hedblom 2013-03-07 09:55:15 UTC
Do not show the same error, the rc17 install do NOT show the same error. 

Sorry about that.
Comment 4 Chris Lewis 2013-04-11 11:55:52 UTC
I have tested 4.0.5.

After install 

samba-tool dbcheck 

showed same errors.

Tried

samba-tool dbcheck  --reset-well-known-acls --fix --yes

and now

samba-tool dbcheck 

shows no errors.

Perhaps this is now fixed?


Cheers
Chris
Comment 5 Stefan Metzmacher 2013-09-12 06:46:15 UTC
(In reply to comment #4)
> I have tested 4.0.5.
> 
> After install 
> 
> samba-tool dbcheck 
> 
> showed same errors.
> 
> Tried
> 
> samba-tool dbcheck  --reset-well-known-acls --fix --yes
> 
> and now
> 
> samba-tool dbcheck 
> 
> shows no errors.
> 
> Perhaps this is now fixed?

Yes, I think we can close this